@import "./variables.scss";

// Example below
// @include media(mobile-landscape) {
//     .menu {
//       flex-direction: column;

//       &__icon {
//         min-height: 50px;
//       }
//     }
//   }

@mixin media($point, $mobile-first: false) {
  $max-width: "max-width";
  $min-width: "min-width";
  $breakpoint: $max-width;

  @if $mobile-first {
    // true
    $breakpoint: $min-width;
  } @else {
    // false
    $breakpoint: $max-width;
  }

  @if $point == mobile {
    @media ($breakpoint: $mobile) {
      @content;
    }
  } @else if $point == mobile-landscape {
    @media ($breakpoint: $mobile-landscape) {
      @content;
    }
  } @else if $point == tablet {
    @media ($breakpoint: $tablet) {
      @content;
    }
  } @else if $point == tablet-landscape {
    @media ($breakpoint: $tablet-landscape) {
      @content;
    }
  } @else if $point == desktop {
    @media ($breakpoint: $desktop) {
      @content;
    }
  }
}
